Name:           devassistant
Version:        0.1.0
Release:        3%{?dist}
Summary:        Developer tool for setting up projects quickly

License:        GPLv2+
URL:            https://github.com/bkabrda/devassistant
Source0:        https://pypi.python.org/packages/source/d/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  pytest
BuildRequires:  python2-devel
BuildRequires:  python-flexmock
BuildRequires:  python-setuptools

BuildRequires:  git
BuildRequires:  python-github
BuildRequires:  python-jinja2
BuildRequires:  python-plumbum
BuildRequires:  PyYAML
# just have to be there, not actually used
BuildRequires:  sudo
BuildRequires:  yum

Requires:       git
Requires:       python-github
Requires:       python-jinja2
Requires:       python-plumbum
Requires:       python-setuptools
Requires:       PyYAML

%description
Developer assistant is a tool for all developers using (not-only) Fedora.
It helps with creating and setting up basic projects in many languages,
setting up development environment, setting up source control and
installing dependencies.

%prep
%setup -q -n %{name}-%{version}
# Remove bundled egg-info
rm -rf %{name}.egg-info

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}
# move templates dir to %%{_datadir}
mkdir -p %{buildroot}%{_datadir}/%{name}
mv %{buildroot}%{python_sitelib}/%{name}/templates %{buildroot}%{_datadir}/%{name}
sed -i 's|template_dir = .*|template_dir = "%{_datadir}/%{name}/templates"\n|' \
   %{buildroot}%{python_sitelib}/%{name}/assistant_base.py

%check
%{__python} setup.py test -t py.test

%files
%doc README.rst LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}
%{python_sitelib}/%{name}
%{python_sitelib}/%{name}-%{version}-py?.?.egg-info

%changelog
* Tue Mar 12 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 0.1.0-3
- Move templates to %%{_datadir}.

* Tue Mar 12 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 0.1.0-2
- Use BR: python2-devel instead of python-devel.

* Fri Mar 08 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 0.1.0-1
- Initial package.
